Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 180924 - NetworkManager does not wireless scan immediately after coming out of suspend
Summary: NetworkManager does not wireless scan immediately after coming out of suspend
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-10 15:51 UTC by Seth Nickell
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-30 21:01:52 UTC


Attachments (Terms of Use)

Description Seth Nickell 2006-02-10 15:51:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
NetworkManager should immediately initiate a wireless scan (*and* purge the old items) when coming out of suspend. Right now, it seems to scan much of the time, but it never removes the old items, so it never re-associates (until it scans again some minutes later). This renders NetworkManager extremely annoying for the standard laptop "shut lid, walk to new location, open lid" use case.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Seth Nickell 2006-02-10 15:52:19 UTC
If you guys want to hit the laptop use case for RHEL5, this is a pretty
important one to nail.

Comment 2 Andy Hudson 2006-03-09 20:55:17 UTC
Linked to this is the fact that when my laptop (Dell D610) comes out of suspend,
it will not connect to the wired network. I have to go to system-config-network
and activate eth0 to get NetworkManager to recognise something is happening.

Here's the output from the activating link window

Determining IP information for eth0.../etc/sysconfig/network-scripts/ifup-eth:
line 260:  4390 Terminated              /sbin/dhclient ${DHCLIENTARGS} ${DEVICE}

Comment 3 Christopher Aillon 2006-10-30 21:01:52 UTC
Appears fixed in RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.